#
# spec file for package fatrace
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Philipp Thomas <pth@suse.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fatrace
Version:        0.9
Release:        lp151.2.2
Summary:        Report system wide file access events
Group:          System/Monitoring
License:        GPL-3.0+
URL:            https://launchpad.net/fatrace
Source0:        https://launchpad.net/fatrace/trunk/0.9/+download/%{name}-%{version}.tar.bz2
BuildRequires:  glibc-devel

%description
Part of the efforts to reduce power consumption is to identify processes
which keep waking up the disk even when the computer is idle.
  
Unfortunately there is no really good tool to trace file access events
system-wide. powertop claims to, but its output is both very incomplete,
and also wrong (e. g. it claims that read accesses are writes). strace
gives you everything you do and don’t want to know about what’s going on,
but is per-process, and attaching strace to all running and new processes
is cumbersome. blktrace is system-wide, but operates at a way too low
level for this task: its output has nothing to do any more with files or
even inodes, just raw block numbers which are impossible to convert back
to an inode and file path.
  
So I created a little tool called fatrace (“file access trace”, not “fat
race” :-) ) which uses fanotify, a couple of /proc lookups and some glue
to provide this. By default it monitors the whole system, i. e. all mounts
(except the virtual ones like /proc, tmpfs, etc.), but you can also tell
it to just consider the mount of the current directory. You can write the
log into a file (stdout by default), and run it for a specified number of
seconds. Optional time stamps and PID filters are also provided.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" PREFIX="%{_prefix}"


%install
make install DESTDIR=%{buildroot} CFLAGS="%{optflags}" PREFIX="%{_prefix}"

%files
%defattr(-, root, root)
%doc NEWS COPYING
%{_sbindir}/%{name}
%{_sbindir}/power-usage-report
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Jan 12 2015 p.drouand@gmail.com
- Update to version 0.9
  + power-usage-report: Adjust parsing to also work for powertop 2.6.
- Clean-up spec file
- Fix project Url
- Use download Url as source
- Remove make and gcc explicit requirements; it's implicit
* Mon Apr 15 2013 cfarrell@suse.com
- license update: GPL-3.0+
  no indication of GPL-3.0 "only" license in package
* Fri Apr 12 2013 pth@suse.de
- Initial package
- Add explicit BuildRequires for glibc-devel, gcc and make
